<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SaleReturnDetail extends Model
{
    public function saleDetail(){
	    return $this->belongsTo('App\Models\SaleDetail','sale_detail_id');
	}
    public function return(){
	   return $this->belongsTo('App\Models\SaleReturn');
	}
	public function returnDetail(){
	   return $this->belongsTo('App\Models\SaleReturnDetail','sale_return_id');
	}
	public function product(){
	  return $this->belongsTo('App\Models\Product','product_id');
	}
	public function category(){
	   return $this->belongsTo('App\Models\Productcategory','productcategory_id');
	}
	public function unit(){
	   return $this->belongsTo('App\Models\Unit');
	}
	public function customer(){
       return $this->belongsTo('App\Models\Customer');
    }
    public function warehouse(){
        return $this->belongsTo('App\Models\Warehouse');
    }
}
